/**
 * Copyright Aquera Inc 2025
 *
 * This source code is licensed under the BSD-3-Clause license found in the
 * LICENSE file in the root directory of this source tree.
 */
import NileElement from '../internal/nile-element';
import { CSSResultArray, TemplateResult } from 'lit';
import { TooltipPosition } from './types/nile-slider.types';
/**
 * Nile slider component.
 *
 * @tag nile-slider
 */
export declare class NileSlider extends NileElement {
    static get styles(): CSSResultArray;
    minValue: number;
    value: number;
    maxValue: number;
    rangeOneValue: number;
    rangeTwoValue: number;
    showLabel: boolean;
    labelStart: string;
    labelEnd: string;
    rangeSlider: boolean;
    labelPosition: string;
    tooltipPosition: TooltipPosition;
    buttonOne: HTMLElement;
    buttonTwo: HTMLElement;
    range: HTMLElement;
    completed: HTMLElement;
    activeThumb: 'one' | 'two' | null;
    connectedCallback(): void;
    firstUpdated(changedProps: Map<string, any>): void;
    checkValueValidity(value: number, min: number, max: number): number;
    checkRangeValidity(): void;
    onMouseMove: (e: MouseEvent) => void;
    onMouseUp: () => void;
    onMouseDown: (e: MouseEvent) => void;
    render(): TemplateResult;
    disconnectedCallback(): void;
}
export default NileSlider;
declare global {
    interface HTMLElementTagNameMap {
        'nile-slider': NileSlider;
    }
}
